import request from '@/utils/request'

// 查询业务对象pinpoint组成列表
export function listPp(query) {
    return request({
        url: '/obj/pp/list',
        method: 'get',
        params: query
    })
}

// 查询业务对象pinpoint组成详细
export function getPp(objPpId) {
    return request({
        url: '/obj/pp/' + objPpId,
        method: 'get'
    })
}

// 新增业务对象pinpoint组成
export function addPp(data) {
    return request({
        url: '/obj/pp',
        method: 'post',
        data: data
    })
}

// 修改业务对象pinpoint组成
export function updatePp(data) {
    return request({
        url: '/obj/pp',
        method: 'put',
        data: data
    })
}

// 删除业务对象pinpoint组成
export function delPp(objPpId) {
    return request({
        url: '/obj/pp/' + objPpId,
        method: 'delete'
    })
}
